* {
  ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
}

// INPUT
.sample-results__input {
  width: 654px;
  min-height: 740px;
  margin-right: 19px;
  background: #fff;
  border-radius: 4px;
  border: 1px solid #ebeff2;
  box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.25);
  overflow: hidden;
  position: relative;

  span.isChanged {
    color: #d59c0f !important;
  }

  ::ng-deep.top-header {
    display: flex;
    align-items: center;
    height: 52px;
    padding: 0 24px;
    border-bottom: 2px solid #e0e0e0;
    position: relative;

    h1,
    h3 {
      margin: 0;
    }

    h1 {
      font-size: 16px;
      font-weight: bold;
      color: #000;
    }

    h3 {
      font-size: 14px;
      color: #000;
      position: relative;
      left: 10px;
      top: 1px;
    }

    .note {
      display: flex;
      align-items: center;
      height: 30px;
      font-size: 14px;
      color: #d59c0f;
      position: absolute;
      top: 10px;
      right: 118px;

      .symbol {
        display: block;
        width: 9px;
        height: 9px;
        margin-right: 10px;
        background: #d59c0f;
      }
    }

    .btn-edit {
      color: #205cb9;
      position: absolute;
      top: 8px;
      right: 0;

      .mat-button-focus-overlay,
      .mat-button-ripple {
        opacity: 0;
      }
    }
  }

  .bottom-body {
    padding-right: 288px;
    padding-bottom: 22px;
    position: relative;

    .main-title {
      margin: 0;
      font-size: 16px;
      font-weight: bold;
      color: #000;
    }

    // SECTION ONE
    .section-one {
      position: relative;

      .section-one__leftside {
        padding: 30px 24px 0;
        position: relative;

        .main-table {
          width: 100%;
          margin: 6px 0 0;
          position: relative;

          .li-row {
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 100%;
            height: 30px;
            position: relative;

            span {
              display: inline-block;
              font-size: 12px;
              font-weight: bold;
              color: #000;

              &.name {
                font-weight: normal;
              }

              &.value {
                min-width: 55px;
                margin-right: 8px;
                text-align: right;

                &.edited {
                  color: #d59c0f;
                }
              }

              &.unit {
                min-width: 45px;
                color: #8e8e8e;
              }
            }
          }
        }
      }
    }

    // SECTION TWO
    .section-two {
      display: flex;
      padding: 22px 24px 0;
      position: relative;

      .section-two__leftside {
        position: relative;

        &.rightside {
          margin-left: 36px;

          .content {
            .li-row {
              span.name {
                width: 50px;
              }

              span.value {
                width: 46px;
              }
            }
          }
        }

        .content {
          margin-bottom: 22px;
          position: relative;

          &.last {
            margin-bottom: 0;
          }

          .main-title {
            margin-bottom: 10px;
          }

          .li-row {
            margin-bottom: 6px;

            &:last-child {
              margin-bottom: 0;
            }

            span {
              display: inline-block;
              font-size: 12px;
              font-weight: bold;
              color: #000;

              &.name {
                width: 25px;
                font-weight: normal;
                white-space: nowrap;
              }

              &.value {
                width: 52px;
                text-align: right;

                &.edited {
                  color: #d59c0f;
                }
              }
            }
          }
        }
      }
    }

    // SECTION THREE
    .section-three {
      width: 288px;
      height: 100%;
      padding: 30px 20px 0 30px;
      background: rgba(248, 248, 248, 0.7);
      position: absolute;
      top: 0;
      right: 0;

      h1 {
        margin: 0;
        margin-bottom: 5px;
        font-size: 16px;
        font-weight: bold;
        color: #000;
      }

      span {
        font-size: 12px;
        font-weight: bold;
        color: #000;

        &.gray-title {
          color: #717171;
        }
      }

      .main-table__title {
        display: flex;
        align-items: center;
        width: 100%;
        height: 31px;
        border-bottom: 1px solid #d8d8d8;
        position: relative;

        span.gray-title {
          margin-left: 32px;
        }
      }

      .main-table__subtitle {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        height: 31px;
        border-bottom: 1px solid #d8d8d8;
        position: relative;
      }

      .main-table__content {
        width: 100%;
        position: relative;

        ul {
          width: 100%;
          position: relative;

          li {
            display: flex;
            align-items: center;
            width: 100%;
            height: 30px;
            position: relative;

            span {
              display: block;
              width: calc(100% / 3);
              font-size: 12px;
              font-weight: normal;
              color: #000;
              text-align: right;

              &.edited {
                color: #d59c0f;
              }

              &.col-one {
                font-weight: bold;
                text-align: left;
              }

              &.col-two {
                padding-right: 30px;
              }

              &.col-three {
                padding-right: 20px;
              }
            }
          }
        }
      }
    }
  }
}
